include<speaker_modules.scad>;

// Smoothness: 250 is probably good for printing, reduce while working on it to speed things up
$fn=80;

// speaker params
// Seas H1600-08 FU10RB - Full Range - Prestige Series
speaker_external_diameter=100;
speaker_basket_diameter=81;
speaker_magnet_diameter=60;
speaker_internal_depth=43.6;
speaker_external_depth=5.4;
speaker_mounting_hole_diameter=5;
speaker_mounting_hole_offset=89/2;
speaker_number_holes=4;
speaker_hole_angle=45;

// do we have a tweeter?
tweeter = true;

// tweeter enclosure params
// Vifa OX20SC00-04
tweeter_diameter = 31;
tweeter_mounting_diameter = 36;
tweeter_mounting_depth = 7;
tweeter_enclosure_wall = 4;
tweeter_sphere_scale = 2.8;

// enclosure params
wall_thickness=6;
baffle_thickness=12;
enclosure_diameter=150;
screw_hole_diameter=3;
front_trim = 3;
bottom_diameter = 50;
bottom_thickness = 8;
bottom_angle = 0;

// binding posts
post_hole_diameter = 5;
post_vertical_angle = 30;
post_inset = 0.5;
post_inset_diameter = 12;
post_horizontal_angle = 15;

// DO THE WORK

// Just the enclosure
enclosure();

// The tweeter pod by itself
//tweeterpod();

// Wall mount
wall_mount();


// Turn this on for a driver (probably only useful for display purposes)
color("grey"){
  //driver();
}
